## ampsharp 2.0.4

=== Makefile ===
default:
	gmcs -t:library -out:AMPSharp.dll -keyfile:AMPSharp/ampsharp.snk -r:System.Windows.Forms -pkg:log4net `find AMPSharp -name "*.cs"`

=== debian/changelog ===
ampsharp (2.0.4-2) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition 

 -- Iain Lane <laney@debian.org>  Fri, 20 Jan 2012 23:58:51 +0000

ampsharp (2.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #637541)

 -- Eric P. Mangold <eric@teratorn.org>  Mon, 25 Jul 2011 12:00:00 +0000

=== debian/control ===
Source: ampsharp
Section: libs
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Eric P. Mangold <eric@teratorn.org>
Build-Depends: debhelper (>= 7.0.50~), cli-common-dev (>= 0.7)
Build-Depends-Indep: liblog4net-cil-dev,
                     mono-devel (>= 2.4.2.3),
                     mono-xbuild (>= 2.4.2.3)
Standards-Version: 3.9.2
Homepage: http://amp-protocol.net/AmpSharp

Package: libampsharp2.0-cil
Section: cli-mono
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Asynchronous Messaging Protocol library for the CLI.
 AMP is an RPC protocol for sending multiple asynchronous request/response
 pairs over the same connection. Requests and responses are both collections
 of key/value pairs. AMP is simple, flexible and efficient, with
 implementations in many languages.
 .
 This package contains the ampsharp library itself.

Package: libampsharp-cil-dev
Architecture: all
Depends: libampsharp2.0-cil (= ${binary:Version}), ${misc:Depends}
Description: Asynchronous Messaging Protocol library for the CLI.
 AMP is an RPC protocol for sending multiple asynchronous request/response
 pairs over the same connection. Requests and responses are both collections
 of key/value pairs. AMP is simple, flexible and efficient, with
 implementations in many languages.
 .
 This package contains development headers for the ampsharp library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --with cli

override_dh_auto_build:
	xbuild AMPSharp/AMPSharp.csproj /property:Configuration="Release"

override_dh_auto_clean:
	rm -rf AMPSharp/bin AMPSharp/obj

override_dh_auto_test:
	# TODO: commented for now since there is a permission problem running nunit-console
	# under fakeroot: http://bugzilla.xamarin.com/show_bug.cgi?id=357
	# Mono tries to write some files under root's home which under fakeroot
	# is usually /root/.mono and unwritable by normal users. It does not respect
	# $HOME.
	#
	#xbuild Tests/Tests.csproj /property:Configuration="Debug"
	#nunit-console Tests/bin/Debug/Tests.dll

=== debian/watch ===
version=3
https://launchpad.net/ampsharp/+download .*/AMPSharp-src-([\d.]+).tar.gz
